GET /registrations/{registration_id}/files/{provider}/

osf.io

Summary: List all files
Operation ID: registrations_files_list
Auth: unknown
Description

List of all the registration's files/folders for a given storage provider. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of files. Each resource in the array is a separate file object and contains the full representation of the file. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). #### Filtering You can optionally request that the response only include files that match your filters by utilizing the `filter` query parameter, e.g. https://api.osf.io/v2/registrations/wucr8/files/osfstorage/?filter[kind]=file Files may be filtered by `id`, `name`, `node`, `kind`, `path`, `provider`, `size`, and `last_touched`.

Parameters (2)

provider (string, path, required)

The unique identifier of the storage provider.

registration_id (string, path, required)

The unique identifier of the registration.

No probe data for this endpoint yet.